Skip to content

Multiple Onboarding

Multiple onboarding gives the possibility of adding more than one document to the same onboarding process. The main idea is to mix different types of documents: passports, id cards, driver's licenses, health cards, among others. Each new document will have their own document scores and nodes and its own biometry and integrity scores that will affect the global score. Its function is to validate not only the identity but to validate a series of issues about the documents involved in the process.

To upload additional documents, a new body parameter documentsToProcess in the PUT /validation/{validation_id}/document (Check API definition) endpoint has been enabled. This parameter will also be enabled in document related endpoints:

  • PUT /validation/{validation_id}/nfc
  • GET /validation/{validation_id}/nfc_keys_pins
  • GET /validation/{validation_id}/document/image/*

Before uploading additional documents, a main document must be uploaded. This means that a PUT /validation/{validation_id}/document must be called without the parameter before using the endpoint again with the documentsToProcess parameter

This new parameter has some implications:

  • The parameter will be optional and vali-Das will expect a number if the parameter is present.
  • The first value for the parameter must be 2.
  • If the first value for the parameter is 3 or a higher number, then vali-Das will return an error. (If an additional document wants to be uploaded for the first time, the endpoint must be called with the parameter value = 2).
  • The maximum ammount of additional documents that vali-Das can process is 3, if a 4th additional document is being uploaded, vali-Das will return an error.
  • If the user uploads a second document, and then a third one, the second document process will change to a finished state, meaning that vali-Das will return an error if the user tries to upload more documents of the second document. This applies to all the additional documents.
  • If this parameter is not present in the PUT /validation/<validation_id>/document during the validation process, vali-Das will assume there is only one document present (regular vali-Das behaviour).
  • Each new document will have their own document scores and nodes.
  • Each new document will have their own biometry scores.
  • Each new document will have their own integrity scores.
  • Each new document scores will affect the summary score.
  • The additional document nodes and scores will be shown in the GET /validation/{validation_id}, GET /validation/{validation_id}/ocr and GET /validation/{validation_id}/scores.
  • The additional document biometry and integrity scores will be shown in the GET /validation/{validation_id} and GET /validation/{validation_id}/scores.
  • If no additional documents are present, the structure from the previous endpoints will remain as usual.

Selfie score behaviour

  • Documents without photographs no longer generate selfie scores
  • Only documents with photos will affect the global biometry score
  • When using a mix of documents (some with photos, some without), only those with photos will be used for score calculations
  • If all submitted documents lack photos, all biometry scores will be set to 0 since no facial comparison can be performed.

documentVSDocument score

  • This score helps identify whether the different documents belong to the same person by comparing personal information across documents. The score is calcultated comparing certain nodes from the documents. The comparison always uses the first uploaded document as a reference:
    • ValidasScoreDocumentVSDocument2: Compares the first document with the second document
    • ValidasScoreDocumentVSDocument3: Compares the first document with the third document
  • The score does not affect the global score

Get validation structure

{
    "data": {
        "createdAt": "2022-04-21 08:22:35 +0200",
        "data": {
            "biometry": {},
            "biometry2": {},
            "biometry3": {},
            "contextualData": {},
            "document": {},
            "document2": {},
            "document3": {},
            "integrity": {},
            "integrity2": {},
            "integrity3": {},
            "identidasVersion": "1.43.3",
            "summary": {
                "scores": [
                    {
                        "name": "ValidationGlobalScore",
                        "value": 1.0
                    },
                ]
            }
        },
        "documentId": "27152e23dded46c9b0a332fa925f5d65",
        "documentId2": "3541635465dfsg6df5g43sdf35g435df",
        "documentId3": "dfg654s4g6s5d465465sdfg6546sd5f4",
        "documentType": "ES_IDCard_2021",
        "documentType2": "ES_DrivingLicense_2013",
        "documentType3": "XX_Passport_YYYY",
        "id": "662ba5a70f9d4419bedb72403dcad877",
        "pollAnswers": null,
        "serviceMode": "validation",
        "serviceMode2": "validation",
        "serviceMode3": "validation",
        "state": "on_course",
        "total_documents":3
    }
}

Get validation scores structure

{
    "data": {
        "biometryScores": [],
        "documentScores": [],
        "biometryScores2": [],
        "documentScores2": [],
        "biometryScores3": [],
        "documentScores3": [],
        "integrityScores": [],
        "integrityScores2": [],
        "integrityScores3": [],
        "identidasVersion": "1.43.3",
        "summaryScores": [
            {
                "name": "ValidationGlobalScore",
                "value": 1.0
            }
        ]
    }
}

Get validation OCR structure

{
    "data": {
        "nodes": [],
        "nodes2": [],
        "nodes3": [],
    }
}